Set Starting Package
curl --request PUT \
--url https://app.specurate.com/api/admin/api/workspaces/{workspaceId}/starting-package \
--header 'Content-Type: application/json' \
--data '
{
"packages": [
{
"packageKey": "<string>",
"seats": 1073741824
}
],
"memo": "<string>",
"couponCode": "<string>",
"stripeCustomerId": "<string>"
}
'import requests
url = "https://app.specurate.com/api/admin/api/workspaces/{workspaceId}/starting-package"
payload = {
"packages": [
{
"packageKey": "<string>",
"seats": 1073741824
}
],
"memo": "<string>",
"couponCode": "<string>",
"stripeCustomerId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
packages: [{packageKey: '<string>', seats: 1073741824}],
memo: '<string>',
couponCode: '<string>',
stripeCustomerId: '<string>'
})
};
fetch('https://app.specurate.com/api/admin/api/workspaces/{workspaceId}/starting-package', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Admin Api
Set Starting Package
PUT
/
admin
/
api
/
workspaces
/
{workspaceId}
/
starting-package
Set Starting Package
Path Parameters
Pattern:
^\d+$Body
application/json
Available options:
in_app, outside_app Available options:
month, year Required array length:
1 - 20 elementsShow child attributes
Show child attributes
Maximum string length:
500Maximum string length:
64Pattern:
^[A-Za-z0-9_-]*$Maximum string length:
255Pattern:
^(cus_[A-Za-z0-9]+)?$Response
204
⌘I